ELIMELS {bimets} | R Documentation

## Eliminate Elements from Arrays or Time Series

### Description

This function eliminates the selected elements from the input array or the input time series.

### Usage

    ELIMELS(x=NULL, idx=NULL, avoidCompliance=FALSE, ...)

### Arguments

`x` | Input numerical array or time series that must satisfy the compliance control check defined in `is.bimets`.
`idx` | Numerical array built with the indexes of selected elements to be removed from the input. If the input is a time series the index must be provided as a sequence of numbers `IDX=YEAR+PERIOD/FREQ` with `YEAR` and `PERIOD` the year and the period to be removed (see example).
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`
`...` | Backward compatibility.

### Value

This function returns an array with the kept elements from the input array or the input time series.

### See Also

`TIMESERIES`
`is.bimets`
`BIMETS indexing`
`GETYEARPERIOD`
`LOCS`
`NAMELIST`
`INTS`
`TSINFO`
`TSLOOK`
`TABIT`
`NOELS`

### Examples

    	print(ELIMELS(INTS(1,10),c(1,4,5)));
    	#print 2 3 6 7 8 9 10

    	print(ELIMELS(TSERIES(1:10,START=c(2000,1),FREQ=4),c(2000.25,2000.75)));
    	#print 2  4  5  6  7  8  9 10

[Package bimets version 1.4.0 Index]